Package org.pushingpixels.substance.internal.animation

# Class StateTransitionMultiTracker<T>

java.lang.Object
org.pushingpixels.substance.internal.animation.StateTransitionMultiTracker<T>

public final class StateTransitionMultiTracker<T> extends Object

## Constructor Summary

Constructors
Constructor
Description
`StateTransitionMultiTracker()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addTracker(Comparable<T> id, StateTransitionTracker tracker)`
`void`
`clear()`
`StateTransitionTracker`
`getTracker(Comparable<T> id)`
`int`
`size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StateTransitionMultiTracker

public StateTransitionMultiTracker()

## Method Details

### clear

public void clear()

### size

public int size()

### getTracker

public StateTransitionTracker getTracker(Comparable<T> id)

### addTracker

public void addTracker(Comparable<T> id, StateTransitionTracker tracker)